checkRequire("Lua_FriendBasePanel");
Lua_FriendBacklistPanel = class("Lua_FriendBacklistPanel", Lua_FriendBasePanel);
function Lua_FriendBacklistPanel:ctor(p)
    self:superCall("ctor", p, "FriendBacklistPanel_skin", Lua_FriendData.FRIEND_BACKLIST_TYPE);
end

function Lua_FriendBacklistPanel:buildShowItem()
    self:superCall("buildShowItem");

    self.tipsTxt.text = LanUtil.getValue(161042);
end

function Lua_FriendBacklistPanel:setPanelData()
    self:superCall("setPanelData");

    local maxCount = getConfig({"friend_const", "black_limit","value"});
    local friendCount = #self.friendInfoArr;
    self.friendCount.text = friendCount.."/"..maxCount;
end

function Lua_FriendBacklistPanel:dispose()
    self:superCall("dispose");
end